# goldenowl: Financial analysis toolkit
---
## What is it?

**goldenowl** is a Python package that provides most commonly used utilities for analysis in the financial domain such as those related to investments and trading.

## Main Features
Here are few things this package does

  - [**Holding Analysis**] 
    - Calculate XIRR of multi touch point investments, portfolio returns etc
    - SIP returns calculations for individual holdings
    - Portfolio construction, rebalance, XIRR and SIP calculations
  - [**Asset Analysis**] 
    - Transform data to different time frames
    - Perform basic computations such as range, returns etc
  
## Where to get it
The source code is currently hosted on GitHub at:
https://github.com/nishanth-/goldenowl

Installers for the latest released version are available at the [Python
Package Index (PyPI)](https://pypi.org/project/goldenowl)

```sh
pip install goldenowl
```

## Dependencies
- [xirr - For calculation of xirr](https://pypi.org/project/xirr/)
- [pandas - For data manipulation](https://pypi.org/project/pandas/)
- [numpy - For numerical operations](https://pypi.org/project/numpy/)


## License
[MIT](LICENSE)
